#cs===============================================
	World of Goo Portable Upgrader
	By GMMan
	Version 1.0
	December 12, 2009
	(C)2009 GMMan and GMWare. All rights reserved.
	Distributed under the Creative Commons Attribution-Share Alike 2.5 Canada License
#ce===============================================

#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Network-Update.ico
#AutoIt3Wrapper_Outfile=build\WoGPortableUpgrader.exe
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Description=World of Goo Portable Upgrader
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_LegalCopyright=2009 GMMan and GMWare. All Rights Reserved.
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Res_Field=Author|GMMan
#AutoIt3Wrapper_Res_Field=CompanyName|GMWare
#AutoIt3Wrapper_Res_Field=InternalName|WoGPortableUpgrader
#AutoIt3Wrapper_Res_Field=OriginalFilename|WoGPortableUpgrader.exe
#AutoIt3Wrapper_Res_Field=ProductName|World of Goo Portable
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

If MsgBox(0x41, "World of Goo Portable Upgrader", "This program will upgrade your World of Goo Portable installation from version 0.1x to version 0.2. Please make sure that World of Goo Portable is not running, and the click OK to continue, or Cancel to quit.") == 1 Then
	Dim $WoGPortableLocation = FileSelectFolder("Please select where you have World of Goo Portable installed", "")
	If $WoGPortableLocation == "" Then Exit (2)
	If Not FileExists($WoGPortableLocation & "\WorldOfGooPortable.exe") Then
		MsgBox(0x10, "World of Goo Portable Upgrader", "The directory that you chose does not contain World of Goo Portable.")
		Exit (3)
	EndIf
	If FileExists($WoGPortableLocation & "\app\WorldOfGoo\WorldOfGoo.exe") And FileExists($WoGPortableLocation & "\app\GooTool") And FileExists($WoGPortableLocation & "\app\WoGModded") Then
		MsgBox(0x40, "World of Goo Portable Upgrader", "Your World of Goo Portable installation has already been upgradedto version 0.2.")
		Exit (0)
	EndIf
	DirMove($WoGPortableLocation & "\app", $WoGPortableLocation & "\WorldOfGoo")
	DirCreate($WoGPortableLocation & "\app")
	DirCreate($WoGPortableLocation & "\app\GooTool")
	DirCreate($WoGPortableLocation & "\app\WoGModded")
	DirMove($WoGPortableLocation & "\WorldOfGoo", $WoGPortableLocation & "\app", 1)
	If FileExists($WoGPortableLocation & "\app\WorldOfGoo\WorldOfGoo.exe") And FileExists($WoGPortableLocation & "\app\GooTool") And FileExists($WoGPortableLocation & "\app\WoGModded") Then
		MsgBox(0x40, "World of Goo Portable Upgrader", "Your World of Goo Portable installation has now been upgraded to version 0.2.")
		Exit (0)
	Else
		MsgBox(0x10, "World of Goo Portable Upgrader", "Upgrade failed. Please see the readme that was included with this package for more details.")
		Exit (4)
	EndIf
EndIf
Exit (1)